#
# spec file for package ghc-optparse-simple
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name optparse-simple
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.1.4
Release:        bp156.3.4
Summary:        Simple interface to optparse-applicative
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-githash-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-compat-devel
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
%endif

%description
Simple interface to optparse-applicative.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Jun 24 2021 psimons@suse.com
- Update optparse-simple to version 0.1.1.4.
  [#]# 0.1.1.4
  * template-haskell 2.17 support [#15](https://github.com/fpco/optparse-simple/pull/15)
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Fri Aug 21 2020 psimons@suse.com
- Update optparse-simple to version 0.1.1.3.
  [#]# 0.1.1.3
  * optparse-applicative 0.16.0.0 support [#14](https://github.com/fpco/optparse-simple/issues/14)
* Sun Dec 29 2019 psimons@suse.com
- Update optparse-simple to version 0.1.1.2.
  [#] ChangeLog for optparse-simple
  [#]# 0.1.1.2
  * Run TH slice at the right time to get proper Git info [#13](https://github.com/fpco/optparse-simple/issues/13)
  [#]# 0.1.1.1
  * Add explicit signature to work around [#12](https://github.com/fpco/optparse-simple/issues/12)
  [#]# 0.1.1
  * Switch dependency `gitrev` to `githash`
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update optparse-simple to version 0.1.0.
  * Migrate from `EitherT` to `ExceptT`
    [#8](https://github.com/fpco/optparse-simple/issues/8)
  * Support `--help` on subcommands
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.0.3 revision 0 with cabal2obs.
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
